Get showback
curl --request GET \
--url https://api.nops.io/v1/cost-allocation/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nops.io/v1/cost-allocation/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nops.io/v1/cost-allocation/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/cost-allocation/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"showback": {
"id": 1,
"name": "Engineering",
"active": true,
"allocationTagType": null,
"tagKeys": [],
"extraValues": [],
"hideValues": [],
"removedShowbackValues": [],
"baseFilterJson": null,
"isLocked": false,
"created": "2026-07-17T12:00:00.000Z",
"modified": "2026-07-17T12:00:00.000Z",
"ruleCount": 2
}
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Cost allocation
Get showback
GET
https://api.nops.io
/
v1
/
cost-allocation
/
{id}
Get showback
curl --request GET \
--url https://api.nops.io/v1/cost-allocation/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nops.io/v1/cost-allocation/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nops.io/v1/cost-allocation/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/cost-allocation/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"showback": {
"id": 1,
"name": "Engineering",
"active": true,
"allocationTagType": null,
"tagKeys": [],
"extraValues": [],
"hideValues": [],
"removedShowbackValues": [],
"baseFilterJson": null,
"isLocked": false,
"created": "2026-07-17T12:00:00.000Z",
"modified": "2026-07-17T12:00:00.000Z",
"ruleCount": 2
}
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Was this page helpful?
⌘I